#
# spec file for package python-Cerberus
#
# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-Cerberus
Version:        1.2
Release:        2.1
Summary:        Extensible schema and data validation tool for Python dictionaries
License:        ISC
Group:          Development/Languages/Python
Url:            http://github.com/nicolaiarocci/cerberus
Source:         https://files.pythonhosted.org/packages/source/C/Cerberus/Cerberus-%{version}.tar.gz
BuildRequires:  %{python_module setuptools}
BuildRequires:  python-rpm-macros
# SECTION tests
BuildRequires:  %{python_module pytest-runner}
# /SECTION
BuildRequires:  fdupes
BuildArch:      noarch

%python_subpackages

%description
Cerberus provides type checking and other base functionality out of the box and
is designed to be non-blocking and extensible, allowing for custom
validation.

%prep
%setup -q -n Cerberus-%{version}

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
%{python_expand rm -rf _build*/ build/
$python setup.py test
}

%files %{python_files}
%doc README.rst UPGRADING.rst AUTHORS
%license LICENSE
%{python_sitelib}/*

%changelog
* Tue Jan 15 2019 mvetter@suse.com
- Update to 1.2:
  * New: docs: Add note that normalization cannot be applied within an *of-rule. (Frank Sachsenheim)
  * New: Add the ability to query for a type of error in an error tree. (Frank Sachsenheim)
  * New: Add errors.MAPPING_SCHEMA on errors within subdocuments. (Frank Sachsenheim)
  * New: Support for Types Definitions, which allow quick types check on the fly. (Frank Sachsenheim)
  * Fix: Simplify the tests with Docker by using a volume for tox environments. (Frank Sachsenheim)
  * Fix: Schema registries do not work on dict fields. Closes :issue:`318`. (Frank Sachsenheim)
  * Fix: Need to drop some rules when empty is allowed. Closes :issue:`326`. (Frank Sachsenheim)
  * Fix: typo in README (Christian Hogan)
  * Fix: Make purge_unknown and allow_unknown play nice together. Closes :issue:`324`. (Audric Schiltknecht)
  * Fix: API reference lacks generated content. Closes :issue:`281`. (Frank Sachsenheim)
  * Fix: readonly works properly just in the first validation. Closes :issue:`311`. (Frank Sachsenheim)
  * Fix: coerce ignores nullable: True. Closes :issue:`269`. (Frank Sachsenheim)
  * Fix: A dependency is not considered satisfied if it has a null value. Closes :issue:`305`. (Frank Sachsenheim)
  * Override UnvalidatedSchema.copy. (Peter Demin)
  * Fix: README link. (Gabriel Wainer)
  * Fix: Regression: allow_unknown causes dictionary validation to fail with a KeyError. Closes :issue:`302`. (Frank Sachsenheim)
  * Fix: Error when setting fields as tuples instead of lists. Closes :issue:`271`. (Sebastian Rajo)
  * Fix: Correctly handle nested logic and group errors. Closes :issue:`278` and :issue:`299`. (Kornelijus Survila)
  * CI: Reactivate testing on PyPy3. (Frank Sachsenheim)
* Wed Dec  5 2018 jengelh@inai.de
- Ensure neutrality of description.
* Tue Dec  4 2018 mcepl@suse.com
- Remove superfluous devel dependency for noarch package
* Tue Feb  6 2018 sebix+novell.com@sebix.at
- initial package for version 1.1
